---
title: MouseEvent.pageY
slug: Web/API/MouseEvent/pageY
tags:
  - API
  - DOM
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>pageY</strong></code> read-only property of the {{domxref("MouseEvent")}} interface returns the Y (vertical) coordinate in pixels of the event relative to the whole document. This property takes into account any vertical scrolling of the page.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pos</em> = <em>event</em>.pageY;</pre>

<p>Originally, this property was defined as a <code>long</code> integer. The CSSOM View Module redefined it as a <code>double</code> float. See the Browser compatibility section for details.</p>

<h2 id="Examples">Examples</h2>

<pre><em>var pageY</em> = <em>event</em>.pageY;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-mouseevent-pagey', 'pageY')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Redefined from <code>long</code> to <code>double</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#widl-Touch-pageY', 'pageY')}}</td>
   <td>{{Spec2('TouchEvents')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.pageY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MouseEvent.pageX")}}</li>
 <li>{{domxref("UIEvent.pageY")}}</li>
</ul>
